Subject: Re: [PATCH net-next V2 0/8] Packed virtqueue support for vhost

From: "Michael S. Tsirkin" <[email-masked]>
Date: Sun, 22 Jul 2018 19:56:43 +0300

On Tue, Jul 17, 2018 at 08:45:16AM +0800, Jason Wang wrote:
> > I'm not sure I understand this approach. Packed ring is just an optimization.
> > What value is there in merging it if it does not help speed?
> 
> If you want to support migration from dpdk or vDPA backend.

Migration from dpdk is a mess: if you add new features you
fix migration from new one but break migration from old one.
So I'm not too worried until dpdk guys implement one of
the migration versioning proposals that have been floating
around for years.

I think vDPAs are using split ring right now. They will likely
switch to packed ring in the future, but it will probably
take some time before they do.

> And we still
> have the chance to see the performance with virito-net pmd in the future. If
> this does not make sense for you, I will leave this series until we can get
> results from virtio-net pmd (or find a way that packed virtqueue
> outperform).

This makes sense to me. If there's a gain that is only
observed with the pmd driver, I think that's still fine,
but we do need to see it.

> And I will start to post other optimizations on vhost.
> 
> Thanks

Thanks a lot!

-- 
MST